public class Client {
	// Base settings of the client
	public static String name = "MahNamz";
	public static int port = 1337;

	// Primary components
	public static PlayersList players;
	public static Game game;
	public static Screen screen;
	public Sounds sounds ;
	/**
	 * Basic architecture of the client
	 */
	public static void main(String[] args) {
		players = new PlayersList();
		game = new Game();
		screen = new Screen(game, players);
		Sounds sounds = new Sounds();
		sounds.startOst();
	}
	
	/*
	 * Restarts the client after a game
	 */
	public static void restart(){
		players = new PlayersList();
		game = new Game();
		screen.refreshScreen(game, players);
	}
	

}
