import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;

import sun.audio.AudioPlayer;
import sun.audio.AudioStream;


public class Sounds {
	public static AudioStream meow;
	public static AudioStream roar;
	public static AudioStream turkey;
	public static AudioStream combob;
	public static AudioStream rampage;
	public static AudioStream killingspree;
	public static AudioStream holyshit;

	public Sounds() {
		try {
			InputStream in = new FileInputStream("meow.wav");
			meow = new AudioStream(in);
			InputStream in2 = new FileInputStream("roar.wav");
			roar = new AudioStream(in2);
			InputStream in3 = new FileInputStream("turkey.wav");
			turkey = new AudioStream(in3);
			InputStream in4 = new FileInputStream("combobreaker.wav");
			combob = new AudioStream(in4);
			InputStream in5 = new FileInputStream("rampage.wav");
			rampage = new AudioStream(in5);
			InputStream in6 = new FileInputStream("killingspree.wav");
			killingspree = new AudioStream(in6);
			InputStream in7 = new FileInputStream("holyshit.wav");
			holyshit = new AudioStream(in7);
		} catch (IOException e) {
			System.err.println("O NOES ! I CANNOT HAZ MUSIK");
		}     
	}
	
	public static void startOst(){
		InputStream in8;
		try {
			File soundFile = new File("ost.wav");
			AudioInputStream audioIn = AudioSystem.getAudioInputStream(soundFile);
		/*	AudioPlayer.player.start(ost);*/
			
			Clip clip = AudioSystem.getClip();
			clip.open(audioIn);
			clip.start();
			clip.loop(Clip.LOOP_CONTINUOUSLY); 
			
		} catch (Exception e) {
			System.err.println("O NOES ! I CANNOT HAZ MUSIK");
		e.printStackTrace();
		}
	}

	public static void meow(){
		AudioPlayer.player.start(meow);
	}
	
	public static void roar(){
		AudioPlayer.player.start(roar);
	}
	
	public static void turkey(){
		AudioPlayer.player.start(turkey);
	}

	public static void rampage(){
		AudioPlayer.player.start(rampage);
	}

	public static void killingspree(){
		AudioPlayer.player.start(killingspree);
	}

	public static void holyshit(){
		AudioPlayer.player.start(holyshit);
	}

	public static void combob(){
		AudioPlayer.player.start(combob);
	}
}
